OpenNMS API 1.2.9

## org.opennms.netmgt.vmmgr
Class Manager

    java.lang.Object
      org.opennms.netmgt.vmmgr.Manager

All Implemented Interfaces:
  ManagerMBean

public class Manager
extends java.lang.Object
implements ManagerMBean

The Manager is reponsible for launching/starting all services in the VM that it is started for. The Manager operates in two modes, normal and server

normal mode: In the normal mode, the Manager starts all services configured for its VM in the service-configuration.xml and starts listening for control events on the 'control-broadcast' JMS topic for stop control messages for itself

server mode: In the server mode, the Manager starts up and listens on the 'control-broadcast' JMS topic for 'start' control messages for services in its VM and a stop control messge for itself. When a start for a service is received, it launches only that service and sends a successful 'running' or an 'error' response to the Controller

Note: The Manager is NOT intelligent - if it receives a stop control event, it will exit - does not check to see if the services its started are all stopped

Author:
  Brian Weaver , Sowmya Nataraj , OpenNMS.org

Field Summary
`private static java.lang.String` `LOG4J_CATEGORY` The log4j category used to log debug messsages and statements.

Constructor Summary
`Manager()`

Method Summary
`void` `doSystemExit()`
`void` `doTestLoadLibraries()`
`static java.lang.Object` `getArgument(Argument arg)`
`static javax.management.Attribute` `getAttribute(Attribute attrib)`
`static void` `main(java.lang.String[] args)`
`static void` `start(javax.management.MBeanServer server)`
`java.util.List` `status()`
`static java.util.List` `status(javax.management.MBeanServer server)`
`void` `stop()`
`static void` `stop(javax.management.MBeanServer server)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG4J_CATEGORY

    private static final java.lang.String LOG4J_CATEGORY

  The log4j category used to log debug messsages and statements.

  See Also:
    Constant Field Values

Constructor Detail

### Manager

    public Manager()

Method Detail

### getAttribute

    public static javax.management.Attribute getAttribute(Attribute attrib)
                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getArgument

    public static java.lang.Object getArgument(Argument arg)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### start

    public static void start(javax.management.MBeanServer server)

### stop

    public void stop()

  Specified by:
    `stop` in interface `ManagerMBean`

### stop

    public static void stop(javax.management.MBeanServer server)

### status

    public java.util.List status()

  Specified by:
    `status` in interface `ManagerMBean`

### status

    public static java.util.List status(javax.management.MBeanServer server)

### doSystemExit

    public void doSystemExit()

  Specified by:
    `doSystemExit` in interface `ManagerMBean`

### doTestLoadLibraries

    public void doTestLoadLibraries()

  Specified by:
    `doTestLoadLibraries` in interface `ManagerMBean`

### main

    public static void main(java.lang.String[] args)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.